package com.keystar.plane.inspection.service;


import com.keystar.plane.inspection.bo.DateBo;
import com.keystar.plane.inspection.bo.PlaneInspectionBo;
import com.keystar.plane.inspection.dao.NestStatusVo;

/**
 *  机巢状态类
 **/
public interface NestService {

    /**
     *  获取无人机的具体状态
     **/
    String getNestStatus();

    /**
     *  获取无人机的在线状态
     **/
    NestStatusVo getNestOnline();

    /**
     *  获取无人机的巡检任务总览
     **/
    PlaneInspectionBo getInspection(DateBo dateBo) throws Exception;


}
